> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.glideapps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Row

> Deletes a row from a Big Table

Deletes a row in a Big Table.

No error is returned if the row does not exist.


## OpenAPI

````yaml delete /tables/{tableID}/rows/{rowID}
openapi: 3.0.0
info:
  title: ''
  version: 0.0.1
servers:
  - description: Production
    url: https://api.glideapps.com
security:
  - BearerAuth: []
tags: []
paths:
  /tables/{tableID}/rows/{rowID}:
    delete:
      description: Deletes a row from a Big Table
      parameters:
        - name: tableID
          in: path
          schema:
            type: string
            description: ID of the table, e.g., `2a1bad8b-cf7c-44437-b8c1-e3782df6`
            example: 2a1bad8b-cf7c-44437-b8c1-e3782df6
          required: true
        - name: rowID
          in: path
          schema:
            type: string
            description: ID of the row, e.g., `zcJWnyI8Tbam21V34K8MNA`
            example: zcJWnyI8Tbam21V34K8MNA
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: false
                description: >-
                  A 200 HTTP response code indicates that the row does not exist
                  or was successfully deleted.
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '402':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - payment_required
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - table_not_found
                          - table_not_big_table
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth
        token](/api-reference/v2/general/authentication).

````